﻿@model AHCBL.Dto.Admin.MemberListDto
@{
    ViewBag.Title = "Member";
}
@using (Html.BeginForm("Create", "MemberList"))
{
    @Html.AntiForgeryToken()
    <div class="xp-contentbar" style="margin-top:60px;">
        <div class="row">
            <!-- Start XP Col -->
            <div class="col-md-12 col-lg-12 col-xl-12">
                <div class="card m-b-30">
                    <div class="card-header bg-white">
                        <h5 class="card-title text-black">정보 수정 / แก้ไขข้อมูล</h5>
                    </div>
                    <div class="card-body">
                        <div class="card-body table-responsive">
                            <div style="min-width:1366px;max-width:100%; margin:auto;">
                                <h5>@ViewBag.Message</h5>
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                            <table class="table">
                                <tr>
                                    <th>
                                        <label>아이디</label>
                                    </th>
                                    <td width="400">
                                        @Html.EditorFor(model => model.username, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                        @Html.ValidationMessageFor(model => model.username, "", new { @class = "text-danger" })
                                    </td>
                                    <th>
                                        <label>비밀번호</label>
                                    </th>
                                    <td>
                                        @Html.EditorFor(model => model.password, new { htmlAttributes = new { @class = "form-control bg-white border", @type = "password" } })
                                        @Html.ValidationMessageFor(model => model.password, "", new { @class = "text-danger" })
                                    </td>
                                    <th>
                                        <label>이름(실명)필수</label>
                                    </th>
                                    <td>
                                        @Html.EditorFor(model => model.fullname, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                        @Html.ValidationMessageFor(model => model.fullname, "", new { @class = "text-danger" })
                                    </td>
                                </tr>
                                <tr>

                                    <th>
                                        <label>포인트</label>
                                    </th>
                                    <td>
                                        <label>@Html.DisplayFor(model => model.point) 점</label>
                                    </td>
                                    <th>
                                        <label>전화번호</label>
                                    </th>
                                    <td>
                                        @Html.EditorFor(model => model.mobile, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                        @Html.ValidationMessageFor(model => model.mobile, "", new { @class = "text-danger" })
                                    </td>
                                    <th>
                                        <label>추천인</label>
                                    </th>
                                    <td>
                                        <label>@Html.DisplayFor(model => model.adviser_name)</label>
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <label>회원가입일</label>
                                    </th>
                                    <td>
                                        <label>@Html.DisplayFor(model => model.create_date)</label>
                                    </td>
                                    <th>
                                        <label>최근접속일</label>
                                    </th>
                                    <td>
                                        <label>@Html.DisplayFor(model => model.last_date)</label>
                                    </td>
                                    <th>
                                        <label>IP</label>
                                    </th>
                                    <td>
                                        <label>@Html.DisplayFor(model => model.ip)</label>
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <label>은행명</label>
                                    </th>
                                    <td>
                                        @Html.DropDownListFor(model => model.bank_id, new SelectList(ViewBag.Bank, "Value", "Text"), "---은행 선택---", new { @class = "form-control bg-white border" })
                                        
                                    </td>
                                    <th>
                                        <label>예금주</label>
                                    </th>
                                    <td>
                                        @Html.EditorFor(model => model.acc_name, new { htmlAttributes = new { @class = "form-control bg-white border", @maxlength = "20" } })
                                        @Html.ValidationMessageFor(model => model.acc_name, "", new { @class = "text-danger" })
                                    </td>
                                    <th>
                                        <label>계좌번호</label>
                                    </th>
                                    <td>
                                        @Html.EditorFor(model => model.acc_no, new { htmlAttributes = new { @class = "form-control bg-white border", @maxlength = "20" } })
                                        @Html.ValidationMessageFor(model => model.acc_no, "", new { @class = "text-danger" })
                                    </td>
                                </tr>
                                <tr><td colspan="6"></td></tr>
                            </table>
                                <div class="form-group text-center">
                                    <div class="col-md-offset-2 col-md-10">
                                        <input type="button" value="Back" onclick="location.href='@Url.Action("Index", "MemberList")'" class="btn btn-light" />
                                        <input type="button" value="Save" class="btn btn-default" onclick="idCheck()" />
                                        <input type="submit" id="save" value="Save" class="btn btn-default d-none" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<script>
    $(function () {
       
        $("th").addClass("bg-secondary-rgba align-middle");
        $("#liMember").addClass("active");
        $("#meMember").addClass("active");

        $("#leave_date").datepicker({
            changeMonth: true,
            changeYear: true,
            dateFormat: 'yy-mm-dd'
        });
        $("#intercept_date").datepicker({
            changeMonth: true,
            changeYear: true,
            dateFormat: 'yy-mm-dd'
        });
    });
    //1
    function idCheck() {
        if ($.trim($("#username").val()) == "") {
            alert("아이디를 입력해 주세요.");
            $("#username").focus();
        }
        else {
            var pUid = $("#username").val();

            $.ajax({
                type: "POST",
                url: "/Register/ChkUserID",
                data: "{'pUid':'" + pUid + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.err == '1') {
                        //alert(msg.errmsg);
                        //$("#id_chk").val("Y");
                        phoneCheck();
                    } else {
                        alert(msg.errmsg);
                        $("#username").val("");
                        $("#id_chk").val("N");
                        $("#username").focus();
                    }
                }
            });

        }
    }
    function phoneCheck() {
        if ($.trim($("#mobile").val()) == "") {
            alert("전화 번호를 입력하세요.");
            $("#mobile").focus();
        }
        else {
            var pUid = $("#mobile").val();

            $.ajax({
                type: "POST",
                url: "/MemberList/ChkUserPhone",
                data: "{'pUid':'" + pUid + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.err == '1') {
                        //alert(msg.errmsg);
                        //$("#id_chk").val("Y");
                        $("#save").click();
                    } else {
                        alert(msg.errmsg);
                        $("#mobile").val("");
                        //$("#id_chk").val("N");
                        $("#mobile").focus();
                    }
                }
            });

        }
    }

    function GetLocation() {
        new daum.Postcode({
            oncomplete: function (data) {
                // 팝업에서 검색결과 항목을 클릭했을때 실행할 코드를 작성하는 부분.

                // 각 주소의 노출 규칙에 따라 주소를 조합한다.
                // 내려오는 변수가 값이 없는 경우엔 공백('')값을 가지므로, 이를 참고하여 분기 한다.
                var addr = ''; // 주소 변수
                var extraAddr = ''; // 참고항목 변수

                //사용자가 선택한 주소 타입에 따라 해당 주소 값을 가져온다.
                if (data.userSelectedType === 'R') { // 사용자가 도로명 주소를 선택했을 경우
                    addr = data.roadAddress;
                } else { // 사용자가 지번 주소를 선택했을 경우(J)
                    addr = data.jibunAddress;
                }

                // 사용자가 선택한 주소가 도로명 타입일때 참고항목을 조합한다.
                if (data.userSelectedType === 'R') {
                    // 법정동명이 있을 경우 추가한다. (법정리는 제외)
                    // 법정동의 경우 마지막 문자가 "동/로/가"로 끝난다.
                    if (data.bname !== '' && /[동|로|가]$/g.test(data.bname)) {
                        extraAddr += data.bname;
                    }
                    // 건물명이 있고, 공동주택일 경우 추가한다.
                    if (data.buildingName !== '' && data.apartment === 'Y') {
                        extraAddr += (extraAddr !== '' ? ', ' + data.buildingName : data.buildingName);
                    }
                    // 표시할 참고항목이 있을 경우, 괄호까지 추가한 최종 문자열을 만든다.
                    if (extraAddr !== '') {
                        extraAddr = ' (' + extraAddr + ')';
                    }
                    // 조합된 참고항목을 해당 필드에 넣는다.
                    document.getElementById("address3").value = extraAddr;

                } else {
                    document.getElementById("address3").value = '';
                }

                // 우편번호와 주소 정보를 해당 필드에 넣는다.
                document.getElementById('address').value = data.zonecode;
                document.getElementById("address1").value = addr;
                // 커서를 상세주소 필드로 이동한다.
                document.getElementById("address2").focus();
            }
        }).open();
    }
</script>